package cn.timer.api.bean.spmk;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;


/**
 * 审批草稿箱
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-08-16 14:52:01
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "spmk_approve_drafts")
@ApiModel("审批草稿箱")
public class SpmkApproveDrafts extends Model<SpmkApproveDrafts> implements Serializable{
	private static final long serialVersionUID = 1L;

	/**
	* 审批编号
	*/
	private Integer id;
	/**
	* 企业组织代码
	*/
	private Integer orgCode;
	/**
	* 发起人id 用于搜索（所在部门）
	*/
	private Integer empNum;
	/**
	* 标题
	*/
	private String title;
	/**
	* 所在部门名称
	*/
	private String departmentName;
	/**
	* 发起人名称
	*/
	private String initiator;
	/**
	* 发起时间
	*/
	private Date createTime;
	/**
	* 审批名称
	*/
	private String approveName;
	/**
	* 状态 0审批中 1审批撤销 2审批通过/审批完成 3审批拒绝
	*/
	private Integer sts;
	/**
	* 当前审批人
	*/
	private String currentApprover;
	/**
	* 历史审批人
	*/
	private String historyApprover;
	/**
	* assoType 只能为 0无 1转正 2离职 3调岗 4招聘 5加班 6请假 7出差 8外出 9补卡 10调薪
	*/
	private Integer assoType;
	/**
	* 最近处理时间
	*/
	private Date updateTime;
	/**
	* 结束时间
	*/
	private Date endTime;
	/**
	* 摘要
	*/
	private String digest;
	/**
	* 是否删除 0-否  1-是
	*/
	private Integer isDelete;
	/**
	* 是否加急 0-否  1-是
	*/
	private Integer isUrgent;

	/**
	 * 设置：审批编号
	 */
	public void setId(Integer id) {
		this.id = id;
	}
	/**
	 * 获取：审批编号
	 */
	public Integer getId() {
		return id;
	}
	/**
	 * 设置：企业组织代码
	 */
	public void setOrgCode(Integer orgCode) {
		this.orgCode = orgCode;
	}
	/**
	 * 获取：企业组织代码
	 */
	public Integer getOrgCode() {
		return orgCode;
	}
	/**
	 * 设置：发起人id 用于搜索（所在部门）
	 */
	public void setEmpNum(Integer empNum) {
		this.empNum = empNum;
	}
	/**
	 * 获取：发起人id 用于搜索（所在部门）
	 */
	public Integer getEmpNum() {
		return empNum;
	}
	/**
	 * 设置：标题
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * 获取：标题
	 */
	public String getTitle() {
		return title;
	}
	/**
	 * 设置：所在部门名称
	 */
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}
	/**
	 * 获取：所在部门名称
	 */
	public String getDepartmentName() {
		return departmentName;
	}
	/**
	 * 设置：发起人名称
	 */
	public void setInitiator(String initiator) {
		this.initiator = initiator;
	}
	/**
	 * 获取：发起人名称
	 */
	public String getInitiator() {
		return initiator;
	}
	/**
	 * 设置：发起时间
	 */
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	/**
	 * 获取：发起时间
	 */
	public Date getCreateTime() {
		return createTime;
	}
	/**
	 * 设置：审批名称
	 */
	public void setApproveName(String approveName) {
		this.approveName = approveName;
	}
	/**
	 * 获取：审批名称
	 */
	public String getApproveName() {
		return approveName;
	}
	/**
	 * 设置：状态 0审批中 1审批撤销 2审批通过/审批完成 3审批拒绝
	 */
	public void setSts(Integer sts) {
		this.sts = sts;
	}
	/**
	 * 获取：状态 0审批中 1审批撤销 2审批通过/审批完成 3审批拒绝
	 */
	public Integer getSts() {
		return sts;
	}
	/**
	 * 设置：当前审批人
	 */
	public void setCurrentApprover(String currentApprover) {
		this.currentApprover = currentApprover;
	}
	/**
	 * 获取：当前审批人
	 */
	public String getCurrentApprover() {
		return currentApprover;
	}
	/**
	 * 设置：历史审批人
	 */
	public void setHistoryApprover(String historyApprover) {
		this.historyApprover = historyApprover;
	}
	/**
	 * 获取：历史审批人
	 */
	public String getHistoryApprover() {
		return historyApprover;
	}
	/**
	 * 设置：assoType 只能为 0无 1转正 2离职 3调岗 4招聘 5加班 6请假 7出差 8外出 9补卡 10调薪
	 */
	public void setAssoType(Integer assoType) {
		this.assoType = assoType;
	}
	/**
	 * 获取：assoType 只能为 0无 1转正 2离职 3调岗 4招聘 5加班 6请假 7出差 8外出 9补卡 10调薪
	 */
	public Integer getAssoType() {
		return assoType;
	}
	/**
	 * 设置：最近处理时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：最近处理时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 设置：结束时间
	 */
	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}
	/**
	 * 获取：结束时间
	 */
	public Date getEndTime() {
		return endTime;
	}
	/**
	 * 设置：摘要
	 */
	public void setDigest(String digest) {
		this.digest = digest;
	}
	/**
	 * 获取：摘要
	 */
	public String getDigest() {
		return digest;
	}
	/**
	 * 设置：是否删除 0-否  1-是
	 */
	public void setIsDelete(Integer isDelete) {
		this.isDelete = isDelete;
	}
	/**
	 * 获取：是否删除 0-否  1-是
	 */
	public Integer getIsDelete() {
		return isDelete;
	}
	/**
	 * 设置：是否加急 0-否  1-是
	 */
	public void setIsUrgent(Integer isUrgent) {
		this.isUrgent = isUrgent;
	}
	/**
	 * 获取：是否加急 0-否  1-是
	 */
	public Integer getIsUrgent() {
		return isUrgent;
	}
}
